Package: `std.core`

Depends on `std.core.extras` for `defpipe` and `defpipe*`

Base language constructs:
- `let`
- `let*`
---
- `lambda`
  - `:&allow-other-keys`
  - `:&aux`
  - `:&body`
  - `:&environment`
  - `:&key`
  - `:&optional`
  - `:&rest`
  - `:&whole`
---
- `return`
- `return-from`
---
- `loop`
- `loop-finish`
- `dotimes`
---
- `block`
---
- `assert`
---
- `defparameter`
- `defvar`
- `defconstant`
- `defun`
- `defmacro`
- `defstruct`
- `defclass`
- `deftype`
- `defsetf`
- `defpackage`
- `defgeneric`
- `defmethod`
---
- `quote`
---
- `declare`
- `locally`
---
- `otherwise`
---
- `atom?`
- `list`
- `list*`
---
- `array`
- `vector`
---
- `values`
---
- `if`
- `when`
- `unless`
- `and`
- `or`
---
- `eq`
- `eql`
- `equal`
- `equalp`
---
- `t`
- `nil`
- `not`
- `!! (double not)`
---

Base language types:
- `array`
- `function`
- `symbol`
- `keyword`
- `vector`
- `int`
- `int-fast`
- `number`
